package ejbs;

import java.util.Collection;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.PersistenceUnit;

@Stateless
public class TableBean implements TableRemote {
    
    @PersistenceContext(unitName="overriding-table")
    EntityManager em;
    
    public TableBean() {
    }

    public void persistEntity(Object entity) {
        em.persist(entity);
    }

    public void persistEntityCollection(Collection entities) {
        for(Object entity : entities){
            em.persist(entity);
        }
    }

    public void mergeEntityCollection(Collection entities) {
        for(Object entity : entities){
            em.merge(entity);
        }
    }
    
}
