package entities;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="UniqueConstraintOnlyInXML_From_Annotations")
public class UniqueConstraintOnlyInXML implements Serializable {

    @Id
    private Integer id;
    
    private String deptName;
    private String deptColorCode;
    
    public UniqueConstraintOnlyInXML() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public int hashCode() {
        int hash = 0;
        hash += (this.id != null ? this.id.hashCode() : 0);
        return hash;
    }

    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof UniqueConstraintOnlyInXML)) {
            return false;
        }
        UniqueConstraintOnlyInXML other = (UniqueConstraintOnlyInXML)object;
        if (this.id != other.id && (this.id == null || !this.id.equals(other.id))) return false;
        return true;
    }

    public String toString() {
        return "entities.UniqueConstraintOnlyInXML[id=" + id + "]";
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptColorCode() {
        return deptColorCode;
    }

    public void setDeptColorCode(String deptColorCode) {
        this.deptColorCode = deptColorCode;
    }
    
}
