package tests.javaee;

import ejbs.TableRemote;
import entities.UniqueConstraintOnlyInXML;
import javax.naming.InitialContext;

public class TestUniqueConstraintOnlyInXML {
    
    private final static int ENTITY_ID_1 = 109;
    private TableRemote remoteObj;
    
    public TestUniqueConstraintOnlyInXML() {
    }
    
    public void tests() {
        try {
            String sqeDeptName     = "SQE";
            String greenColorCode  = "Green";
            
            remoteObj = (TableRemote) new InitialContext().lookup("ejbs.TableRemote");
            UniqueConstraintOnlyInXML entity = createEntity(ENTITY_ID_1, sqeDeptName, greenColorCode);
            remoteObj.persistEntity(entity);
            
            System.out.println("**** Test Passed: Able to persist an entity !!");
            
        } catch(Exception ex) {
            System.out.println("**** Test Failed: Unable to persist an entity !!");
        }
    }
    
    
    private UniqueConstraintOnlyInXML createEntity(int id, final String deptName, final String deptColorCode) {
        UniqueConstraintOnlyInXML entity = new UniqueConstraintOnlyInXML();
        entity.setId(id);
        entity.setDeptName(deptName);
        entity.setDeptColorCode(deptColorCode);
        return entity;
    }
    
}
